Get an approval
GET
Gets an approval's status, and its result once it ran.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
room_id*stringMatch
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$approval_id*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidSMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidSuccessful authorized response.
application/json- response
data*request_id*stringcurl -X GET 'https://example.com/v1/rooms/string/approvals/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "data": { "approval_id": "15af2260-72db-4fc4-b587-6b841d6a3d55", "kind": "app_action", "room_id": "string", "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "plugin": "string", "tool": "string", "arguments": { "property1": null, "property2": null }, "summary": "string", "status": "pending", "requested_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "approver": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "task_id": "string", "created_at": "string", "expires_at": "string", "decided_at": "string", "finished_at": "string", "result": null, "error": "string" }, "request_id": "string"}